# ModifyEipBandwidth

## 1. 接口描述

本接口(ModifyEipBandwidth)用于调整弹性公网IP的带宽限速。

{% hint style="info" %}
**注意事项**

* 只有可用状态(`BINDED`、`UNBIND`)的EIP才支持该操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型      | 描述                                                                                            |
| --------------- | -- | ------- | --------------------------------------------------------------------------------------------- |
| eipId           | 是  | String  | EIP唯一标识ID。                                                                                    |
| bandwidth       | 是  | Integer | <p>调整带宽限速的目标值。</p><p>单位Mbps。</p><p>可选值范围：\[1, +)</p>                                          |
| commitBandwidth | 否  | Integer | <p>保底带宽。</p><p>单位Mbps。</p><p>有且仅当为Remote IP，且为选择带宽包计费, 需要指定专线部分的保底带宽。</p><p>可选值范围：\[1, +)</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 调整EIP带宽限速到10Mbps。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipBandwidth
<Common Request Params>

Request：
{
    "eipId": "< EipId >",
    "bandwidth": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                     | 说明                 |
| ------- | ------------------------------------------------------- | ------------------ |
| 404     | INVALID\_EIP\_NOT\_FOUND                                | EIP不存在。            |
| 400     | INVALID\_PARAMETER\_BANDWIDTH\_EXCEED                   | 带宽限速值超过最大限制。       |
| 400     | OPERATION\_DENIED\_EIP\_IN\_RISK\_CONTROL               | EIP在风控中不支持此操作。     |
| 500     | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT            | EIP 状态不支持此操作。      |
| 400     | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | IP网络计费方式不支持。       |
| 400     | OPERATION\_DENIED\_LATEST\_OPERATION\_NOT\_FINISHED     | 上一操作未结束或已失败，请稍后再试。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/modifyeipbandwidth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
